package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Finmod;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FinmodMapper {

    int insert(Finmod finmod);

    Finmod getFinmodByInr(String inr);

    Finmod getFinmodByObjinrAndObjtyp(@Param("objinr") String objinr, @Param("objtyp") String objtyp);

    int deleteByObjinrAndObjtyp(@Param("objinr") String objinr, @Param("objtyp") String objtyp);

    int deleteByPrimaryKey(Finmod finmod);

    int updateByPrimaryKey(Finmod finmod);

    int updateByPrimaryKeySelective(Finmod finmod);
}
